OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
ValueAccessorLeafBuffer< TreeTypeT, IntegerSequence, typename std::enable_if< !value_accessor_internal::EnableLeafBuffer< TreeTypeT, IntegerSequence >::value >::type > Struct Template Reference

Specialization for the case where a Leaf Buffer cannot be cached. More...

`#include <openvdb/tree/ValueAccessor.h>`

## Public Member Functions
constexpr TreeTypeT::ValueType * | buffer ()
constexpr TreeTypeT::ValueType * | buffer () const
constexpr void | setBuffer (const typename TreeTypeT::ValueType *) const

## Static Public Attributes
template<typename >
static constexpr bool | BypassLeafAPI = false

## Detailed Description

template<typename TreeTypeT, typename IntegerSequence>
struct openvdb::v11_0::tree::ValueAccessorLeafBuffer< TreeTypeT, IntegerSequence, typename std::enable_if< !value_accessor_internal::EnableLeafBuffer< TreeTypeT, IntegerSequence >::value >::type >

Specialization for the case where a Leaf Buffer cannot be cached.

## Member Function Documentation

## ◆ buffer() [1/2]

template<typename TreeTypeT , typename IntegerSequence >

TreeTypeT::ValueType * buffer | ( |  | ) |
| inline constexpr

## ◆ buffer() [2/2]

template<typename TreeTypeT , typename IntegerSequence >

TreeTypeT::ValueType * buffer | ( |  | ) | const
| inline constexpr

## ◆ setBuffer()

template<typename TreeTypeT , typename IntegerSequence >

void setBuffer | ( | const typename TreeTypeT::ValueType * |  | ) | const
| inline constexpr

## Member Data Documentation

## ◆ BypassLeafAPI

template<typename TreeTypeT , typename IntegerSequence >
template<typename >

bool BypassLeafAPI = false
| static constexpr